slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPSetOptionsPrefix

Sets the prefix used for searching for all NEP options in the database.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetOptionsPrefix(NEP nep,const char *prefix)

Logically Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| prefix | - the prefix string to prepend to all NEP option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

For example, to distinguish between the runtime options for two different NEP contexts, one could call

          NEPSetOptionsPrefix(nep1,"neig1_")
          NEPSetOptionsPrefix(nep2,"neig2_")

### See Also

NEPAppendOptionsPrefix(), NEPGetOptionsPrefix()

### Level

advanced

### Location

src/nep/interface/nepopts.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages